Eclipse Draw2d 3.2

## org.eclipse.draw2d
Class FocusTraverseManager

    java.lang.Object
      org.eclipse.draw2d.FocusTraverseManager

public class FocusTraverseManager
extends Object

This class is a helper to the `SWTEventDispatcher`. It handles the task of determining which Figure will gain focus upon a tab/shift-tab. It also keeps track of the Figure with current focus.

Note: When a Canvas with a `LightweightSystem` gains focus, it gives focus to the child Figure who had focus when this Canvas lost focus. If the canvas is gaining focus for the first time, focus is given to its first child Figure.

Constructor Summary
`FocusTraverseManager()` Default constructor.

Method Summary
`IFigure` `getCurrentFocusOwner()`
`IFigure` `getNextFocusableFigure(IFigure root, IFigure prevFocus)` Returns the IFigure that will receive focus upon a 'tab' traverse event.
`IFigure` `getPreviousFocusableFigure(IFigure root, IFigure prevFocus)` Returns the IFigure that will receive focus upon a 'shift-tab' traverse event.
`void` `setCurrentFocusOwner(IFigure fig)` Sets the currently focused figure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusTraverseManager

    public FocusTraverseManager()

  Default constructor.

Method Detail

### getNextFocusableFigure

    public IFigure getNextFocusableFigure(IFigure root,
                                          IFigure prevFocus)

  Returns the IFigure that will receive focus upon a 'tab' traverse event.

  Parameters:
    `root` - the `LightweightSystem's` root figure
    `prevFocus` - the IFigure who currently owns focus
  Returns:
    the next focusable figure

### getPreviousFocusableFigure

    public IFigure getPreviousFocusableFigure(IFigure root,
                                              IFigure prevFocus)

  Returns the IFigure that will receive focus upon a 'shift-tab' traverse event.

  Parameters:
    `root` - The `LightweightSystem's` root figure
    `prevFocus` - The IFigure who currently owns focus
  Returns:
    the previous focusable figure

### getCurrentFocusOwner

    public IFigure getCurrentFocusOwner()

  Returns:
    the figure that currently has focus

### setCurrentFocusOwner

    public void setCurrentFocusOwner(IFigure fig)

  Sets the currently focused figure.

  Parameters:
    `fig` - the figure to get focus

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.